Forum Thread: Wrong version detection

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Programs

Relating to this vendor:
And, this specific program:
Ruby 1.8.x

This thread has been marked as locked.
wingfire Wrong version detection
Member 6th Oct, 2010 10:45
Ranking: 0
Posts: 2
User Since: 1st Sep, 2010
System Score: N/A
Location: DE
Ruby 1.8.7.301 is detected as 1.8.7.0 .
Running the update generates the same situation.
Any ideas?
Win7 64bit

This user no longer exists RE: Wrong version detection
Member 6th Oct, 2010 13:18
Hi,

The problem here is that there simply is no file with the proper version information. However, I've modified our rules, so that while the proper version information won't show, the PSI should be able to tell a patched version apart from an unpatched.

If you run a full rescan, is the patched version flagged as such?
Was this reply relevant?
+0
-0
wingfire RE: Wrong version detection
Member 6th Oct, 2010 13:46
Score: 0
Posts: 2
User Since: 1st Sep 2010
System Score: N/A
Location: DE
Working, i opened a bugticket on the ruby installer site to fix the version number.
Was this reply relevant?
+0
-0

This thread has been marked as locked.